# class RDoc::Markup::IndentedParagraph

An Indented Paragraph of text

### Attributes

indent[R]

The indent in number of spaces

### Public Class Methods

new(indent, *parts) click to toggle source

Creates a new IndentedParagraph containing `parts` indented with `indent` spaces

    # File lib/rdoc/markup/indented_paragraph.rb, line 15
    def initialize indent, *parts
      @indent = indent

      super(*parts)
    end

### Public Instance Methods

accept(visitor) click to toggle source

Calls accept_indented_paragraph on `visitor`

    # File lib/rdoc/markup/indented_paragraph.rb, line 28
    def accept visitor
      visitor.accept_indented_paragraph self
    end